Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Class ByteCodeOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  org.gjt.jclasslib.io.ByteCodeOutputStream

All Implemented Interfaces:
  ByteCodeOutput, DataOutput

public class ByteCodeOutputStream
extends DataOutputStream
implements ByteCodeOutput

`DataOutputStream` which extends `ByteCodeOutput`.

Version:
  $Revision: 1.4 $ $Date: 2003/08/18 07:58:12 $
Author:
  Ingo Kegel

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`ByteCodeOutputStream(OutputStream out)` Constructor.

Method Summary
`int` | `getBytesWritten()` Get the number of bytes written.

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Constructor Detail

### ByteCodeOutputStream

    public ByteCodeOutputStream(OutputStream out)

  Constructor.

Parameters:
  `out` - the output stream.

Method Detail

### getBytesWritten

    public int getBytesWritten()

  Description copied from interface: `ByteCodeOutput`
  Get the number of bytes written.

  Specified by:
    `getBytesWritten` in interface `ByteCodeOutput`
  Returns:
    the number of bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD